Bug 1670416 (CVE-2018-20177)

Summary: CVE-2018-20177 rdesktop: Memory corruption in rdp_in_unistr
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: oholy
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: rdesktop 1.8.4 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-19 04:19:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1670427    
Bug Blocks: 1667054    

Description Pedro Sampaio 2019-01-29 13:55:07 UTC
A flaw was found in rdesktop before 1.8.4. A memory corruption issue in rdp_in_unistr function may lead to denial of service.

Upstream patch:

https://github.com/rdesktop/rdesktop/commit/766ebcf6f23ccfe8323ac10242ae6e127d4505d2
https://github.com/rdesktop/rdesktop/releases/tag/v1.8.4

Comment 1 Pedro Sampaio 2019-01-29 14:03:29 UTC
Created rdesktop tracking bugs for this issue:

Affects: fedora-all [bug 1670427]

Comment 2 Huzaifa S. Sidhpurwala 2019-02-19 04:19:29 UTC
Note:

You need to connect to a malicious or a MITM RDP server in order to trigger this flaw.